<?php

namespace Litecms\Notice\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Notice\Models\Notice;

class NoticeAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Notice $notice,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
