<?php

// Routes for notice.

// Guard routes for notice
Route::prefix('{guard}/notice')->group(function () {

    Route::patch('notice/actions/{action}', 'NoticeActionsController');
    Route::patch('notice/action/{notice}/{action}', 'NoticeActionController');
    Route::resource('notice', 'NoticeResourceController');
});



// Public routes for notice
Route::get('notices/', 'NoticePublicController@index');
Route::get('notice/{slug?}', 'NoticePublicController@show');
