<?php

// Web routes  for notice.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for notice

Route::prefix('{guard}/notice')->group(function () {


    Route::get('/action/{notice}/{user}', 'NoticeActionController@get')
        ->name('notice.notice.action');
    Route::post('/action/{notice}/{user}', 'NoticeActionController@post');

});

