<?php

namespace Litecms\Notice;

use Litecms\Notice\Models\Notice;


class Notice
{
    /**
     * $notice object.
     */
    protected $notice;

    /**
     * Constructor.
     */
    public function __construct()
    {
        $this->notice = app(Notice::class);
    }

    /**
     * Returns count of notice.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find notice by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function notice($slug)
    {
        return  $this->notice
            ->findBySlug($slug)
            ->toArray();
    }
}
